/*
* A simple medium-sized decorative rock.  Solid, but immobile.
* Intended for scenery which turns into boulders later.
*/
"use strict";

var GO_DecoBoulder = function(boulderType){
	this.sprite = new Sprite(boulderType.spriteSheet,"DecoBoulder");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE |
		DEFINE_SPRITE_COLLISION_FLAGS.SOLID;
	this.sprite.setBoundingBox(
		boulderType.box[0],
		boulderType.box[1],
		boulderType.box[2],
		boulderType.box[3]);
	//sprite.constraints=constraints;
	this.sprite.max_step = 0;
	this.sprite.game_object = this; // no longer a generic GO
};

GO_DecoBoulder.prototype = new GameObject(
	new Sprite(
		new TileSheet(
			4, 4, 0, 0, 
			SDS_Load_Image("art/sheets/sprite/boulder.png")
		),
		"DecoBoulder"
	),
	"DecoBoulder"
	);

	GO_DecoBoulder.prototype.interactions = 0;

	GO_DecoBoulder.prototype.Update = function(){
		
	}



